summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorSami Kerola2017-06-18 19:16:35 +0200
committerKarel Zak2017-06-26 14:46:35 +0200
commit83893f26789d4ffe11146a7c0ee9d34a92a0aaf7 (patch)
tree230e18f58443edabcd9314cc0ec990c514b5b86a /tests
parentmisc: consolidate usage() "Available columns" (diff)
downloadkernel-qcow2-util-linux-83893f26789d4ffe11146a7c0ee9d34a92a0aaf7.tar.gz
kernel-qcow2-util-linux-83893f26789d4ffe11146a7c0ee9d34a92a0aaf7.tar.xz
kernel-qcow2-util-linux-83893f26789d4ffe11146a7c0ee9d34a92a0aaf7.zip
uuidparse: add new command
This command will analyze and print information about UUID's. The command is based on libuuid/src/uuid_time.c but modified to use libsmartcol. [kzak@redhat.com: - minor coding style changes] Reference: http://marc.info/?l=util-linux-ng&m=149735980715600&w=2 Signed-off-by: Sami Kerola <kerolasa@iki.fi> Signed-off-by: Karel Zak <kzak@redhat.com>
Diffstat (limited to 'tests')
-rw-r--r--tests/commands.sh1
-rw-r--r--tests/expected/uuid/uuidparse33
-rwxr-xr-xtests/ts/uuid/uuidparse63
3 files changed, 97 insertions, 0 deletions
diff --git a/tests/commands.sh b/tests/commands.sh
index f655a6829..2d9e3b8ea 100644
--- a/tests/commands.sh
+++ b/tests/commands.sh
@@ -93,6 +93,7 @@ TS_CMD_UMOUNT=${TS_CMD_UMOUNT:-"$top_builddir/umount"}
TS_CMD_UTMPDUMP=${TS_CMD_UTMPDUMP-"$top_builddir/utmpdump"}
TS_CMD_UUIDD=${TS_CMD_UUIDD-"$top_builddir/uuidd"}
TS_CMD_UUIDGEN=${TS_CMD_UUIDGEN-"$top_builddir/uuidgen"}
+TS_CMD_UUIDPARSE=${TS_CMD_UUIDPARSE-"$top_builddir/uuidparse"}
TS_CMD_WHEREIS=${TS_CMD_WHEREIS-"$top_builddir/whereis"}
TS_CMD_WIPEFS=${TS_CMD_WIPEFS-"$top_builddir/wipefs"}
TS_CMD_CHRT=${TS_CMD_CHRT-"$top_builddir/chrt"}
diff --git a/tests/expected/uuid/uuidparse b/tests/expected/uuid/uuidparse
new file mode 100644
index 000000000..cda67e4a3
--- /dev/null
+++ b/tests/expected/uuid/uuidparse
@@ -0,0 +1,33 @@
+UUID VARIANT TYPE TIME
+00000000-0000-0000-0000-000000000000 NCS nil
+00000000-0000-1000-0000-000000000000 NCS time-based
+00000000-0000-2000-0000-000000000000 NCS DCE
+00000000-0000-3000-0000-000000000000 NCS name-based
+00000000-0000-4000-0000-000000000000 NCS random
+00000000-0000-5000-0000-000000000000 NCS sha1-based
+00000000-0000-6000-0000-000000000000 NCS unknown
+00000000-0000-0000-8000-000000000000 DCE nil
+00000000-0000-1000-8000-000000000000 DCE time-based 60038-03-11 05:36:10,955161+0000
+00000000-0000-2000-8000-000000000000 DCE DCE
+00000000-0000-3000-8000-000000000000 DCE name-based
+00000000-0000-4000-8000-000000000000 DCE random
+00000000-0000-5000-8000-000000000000 DCE sha1-based
+00000000-0000-6000-8000-000000000000 DCE unknown
+00000000-0000-0000-d000-000000000000 Microsoft nil
+00000000-0000-1000-d000-000000000000 Microsoft time-based
+00000000-0000-2000-d000-000000000000 Microsoft DCE
+00000000-0000-3000-d000-000000000000 Microsoft name-based
+00000000-0000-4000-d000-000000000000 Microsoft random
+00000000-0000-5000-d000-000000000000 Microsoft sha1-based
+00000000-0000-6000-d000-000000000000 Microsoft unknown
+00000000-0000-0000-f000-000000000000 other nil
+00000000-0000-1000-f000-000000000000 other time-based
+00000000-0000-2000-f000-000000000000 other DCE
+00000000-0000-3000-f000-000000000000 other name-based
+00000000-0000-4000-f000-000000000000 other random
+00000000-0000-5000-f000-000000000000 other sha1-based
+00000000-0000-6000-f000-000000000000 other unknown
+9b274c46-544a-11e7-a972-00037f500001 DCE time-based 2017-06-18 17:21:46,544647+0000
+ffffffff-ffff-1fff-8fff-ffffffffffff DCE time-based 5236-03-31 21:21:00,684697+0000
+invalid-input invalid invalid invalid
+return value: 0
diff --git a/tests/ts/uuid/uuidparse b/tests/ts/uuid/uuidparse
new file mode 100755
index 000000000..229994f6f
--- /dev/null
+++ b/tests/ts/uuid/uuidparse
@@ -0,0 +1,63 @@
+#!/bin/bash
+
+# This file is part of util-linux.
+#
+# This file is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This file is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+TS_TOPDIR="${0%/*}/../.."
+TS_DESC="uuidparse"
+export TZ=GMT
+
+. $TS_TOPDIR/functions.sh
+ts_init "$*"
+
+ts_check_test_command "$TS_CMD_UUIDPARSE"
+
+echo '00000000-0000-0000-0000-000000000000
+
+00000000-0000-1000-0000-000000000000
+00000000-0000-2000-0000-000000000000
+00000000-0000-3000-0000-000000000000
+00000000-0000-4000-0000-000000000000
+00000000-0000-5000-0000-000000000000
+00000000-0000-6000-0000-000000000000
+
+00000000-0000-0000-8000-000000000000
+00000000-0000-1000-8000-000000000000
+00000000-0000-2000-8000-000000000000
+00000000-0000-3000-8000-000000000000
+00000000-0000-4000-8000-000000000000
+00000000-0000-5000-8000-000000000000
+00000000-0000-6000-8000-000000000000
+
+00000000-0000-0000-d000-000000000000
+00000000-0000-1000-d000-000000000000
+00000000-0000-2000-d000-000000000000
+00000000-0000-3000-d000-000000000000
+00000000-0000-4000-d000-000000000000
+00000000-0000-5000-d000-000000000000
+00000000-0000-6000-d000-000000000000
+
+00000000-0000-0000-f000-000000000000
+00000000-0000-1000-f000-000000000000
+00000000-0000-2000-f000-000000000000
+00000000-0000-3000-f000-000000000000
+00000000-0000-4000-f000-000000000000
+00000000-0000-5000-f000-000000000000
+00000000-0000-6000-f000-000000000000
+
+9b274c46-544a-11e7-a972-00037f500001
+ffffffff-ffff-1fff-8fff-ffffffffffff
+
+invalid-input' | $TS_CMD_UUIDPARSE 1>$TS_OUTPUT 2>&1
+echo "return value: $?" >> $TS_OUTPUT
+
+ts_finalize